Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| EAC Components 3.2.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.endeca.soleng.eac.toolkit.component
Class DgraphComponent

    java.lang.Object
      com.endeca.soleng.eac.toolkit.base.EacElement
          com.endeca.soleng.eac.toolkit.base.Provisionable
              com.endeca.soleng.eac.toolkit.component.Component
                  com.endeca.soleng.eac.toolkit.component.ServerComponent
                      com.endeca.soleng.eac.toolkit.component.DgraphComponent

    public class DgraphComponent

extends com.endeca.soleng.eac.toolkit.component.ServerComponent

Field Summary

Fields inherited from class com.endeca.soleng.eac.toolkit.base.EacElement
`appName, dataPrefix, eacHost, eacPort, elementId, lockManager, logDir, sslEnabled, workingDir`

Constructor Summary
`DgraphComponent()`

Method Summary
`void` | `applyConfigUpdate()`
`void` | `applyIndex()`
`void` | `applyPartialUpdates()`
`com.endeca.eac.client.ComponentType` | `buildEacStub()`
`void` | `callDgraphConfigUpdateUrl()` Shells out to call curl on the dgraph's config?op=update URL to trigger a configuration update.
`void` | `callDgraphReloadServicesUrl()` Shells out to call curl on the dgraph's admin?op=reload-services URL to trigger reloading of XQuery modules.
`void` | `callDgraphUpdateUrl()` Shells out to call curl on the dgraph's admin?op=update URL to trigger a partial update.
`void` | `cleanDirs()`
`void` | `cleanLocalDgraphConfigDir()`
`void` | `cleanLocalIndexDir()`
`void` | `cleanLocalPartialsDir()`
`void` | `cleanLocalXQueryDir()`
`com.endeca.soleng.eac.toolkit.utility.CopyUtility` | `constructCopyCumulativePartialsToDgraphInput()`
`com.endeca.soleng.eac.toolkit.utility.CopyUtility` | `constructCopyDgraphConfigToDgraphInput()`
`com.endeca.soleng.eac.toolkit.utility.CopyUtility` | `constructCopyIndexToNewDgraphInputDir()` Constructs a utility for copying the dgraph's new index into its temporary dgraph input directory.
`com.endeca.soleng.eac.toolkit.utility.perl.CreateDirUtility` | `constructCreateTempNewDgraphInputDir()` Constructs a utility for making the dgraph's temporary dgraph input directory.
`com.endeca.soleng.eac.toolkit.utility.perl.LocalMoveUtility` | `constructMoveCurrentDgraphInputToOld()` Constructs utility for moving dgraph input (current index) to temp old index directory.
`com.endeca.soleng.eac.toolkit.utility.perl.LocalMoveUtility` | `constructMoveNewDgraphInputToCurrent()` Constructs utility for moving temp new index directory to dgraph input (current index).
`com.endeca.soleng.eac.toolkit.utility.perl.RemoveDirUtility` | `constructRemoveTempNewIndexDir()` Construct utility to remove the temp new index directory, if it exists.
`com.endeca.soleng.eac.toolkit.utility.perl.RemoveDirUtility` | `constructRemoveTempOldIndexDir()` Construct utility to remove the temp old index directory, if it exists.
`com.endeca.soleng.eac.toolkit.utility.curl.DgraphConfigUpdateUtility` | `constructShellCallDgraphConfigUpdateUrl()`
`com.endeca.soleng.eac.toolkit.utility.curl.DgraphFlushCacheUtility` | `constructShellCallDgraphFlushCacheUrl()`
`com.endeca.soleng.eac.toolkit.utility.curl.DgraphReloadServicesUtility` | `constructShellCallDgraphReloadServicesUrl()` Constructs a shell utility to call curl on the dgraph's admin?op=reload-services URL to trigger reloading of XQuery modules.
`com.endeca.soleng.eac.toolkit.utility.curl.DgraphUpdateUtility` | `constructShellCallDgraphUpdateUrl()` Constructs a shell utility to call curl on the dgraph's admin?op=update URL to trigger a partial update.
`void` | `copyCumulativePartialsToDgraphInput()` Copies cumulative partials to dgraph's update dir.
`void` | `copyDgraphConfigToDgraphInput()` Copies dgraph config to dgraph's input dir.
`void` | `copyIndexToDgraphInput()`
`void` | `copyIndexToNewDgraphInputDir()` Creates a temporary new index directory and fetches a copy of the index to the new directory.
`java.lang.String` | `getAppConfigDir()`
`java.util.List<java.lang.String>` | `getArgs()`
`java.lang.String` | `getCaFile()`
`java.lang.String` | `getCertFile()`
`java.lang.String` | `getCipher()`
`java.lang.String` | `getInputDir()`
`java.lang.String` | `getLocalCumulativePartialsDir()`
`java.lang.String` | `getLocalDgraphConfigDir()`
`java.lang.String` | `getLocalIndexDir()`
`java.lang.String` | `getLocalXQueryDir()`
`int` | `getNumCacheWarmupSeconds()`
`boolean` | `getOfflineUpdate()`
`int` | `getPort()`
`java.lang.String` | `getRestartGroup()`
`static java.lang.String` | `getRestartGroupPropName()`
`java.lang.String` | `getSpellDir()`
`java.lang.String` | `getSrcCumulativePartialsDir()`
`java.lang.String` | `getSrcCumulativePartialsHostId()`
`java.lang.String` | `getSrcDgraphConfigDir()`
`java.lang.String` | `getSrcDgraphConfigHostId()`
`java.lang.String` | `getSrcIndexDir()`
`java.lang.String` | `getSrcIndexHostId()`
`java.lang.String` | `getSrcPartialsDir()`
`java.lang.String` | `getSrcPartialsHostId()`
`java.lang.String` | `getSrcXQueryDir()`
`java.lang.String` | `getSrcXQueryHostId()`
`java.lang.String` | `getTempDir()`
`protected java.lang.String` | `getTempNewIndexDir()` Retrieves the absolute path of the temporary new index directory to use when swapping in the new index.
`protected java.lang.String` | `getTempOldIndexDir()` Retrieves the absolute path of the temporary old index directory to use when swapping in the new index.
`java.lang.String` | `getUpdateDir()`
`java.lang.String` | `getUpdateGroup()`
`static java.lang.String` | `getUpdateGroupPropName()`
`protected void` | `initializeEacStub(com.endeca.eac.client.DgraphComponentType stub)`
`void` | `reloadXqueryModules()`
`void` | `removeNewIndexDir()` Removes the temporary new index directory.
`void` | `removeOldIndexDir()` Removes the temporary old index directory.
`void` | `setAppConfigDir(java.lang.String appConfigDir)`
`void` | `setArgs(java.util.List<java.lang.String> args)`
`void` | `setCaFile(java.lang.String caFile)`
`void` | `setCertFile(java.lang.String certFile)`
`void` | `setCipher(java.lang.String cipher)`
`void` | `setInputDir(java.lang.String inputDir)`
`void` | `setPort(int port)`
`void` | `setSpellDir(java.lang.String spellDir)`
`void` | `setTempDir(java.lang.String tempDir)`
`void` | `setUpdateDir(java.lang.String updateDir)`
`void` | `swapInNewIndexDir()` Swaps in the temporary new index directory, renaming the current input directory to a temporary old directory and renaming the new directory to the current input directory.

Methods inherited from class com.endeca.soleng.eac.toolkit.component.ServerComponent
`cycle, getNumIdleSecondsAfterStop, getPostStartupScript, getPreShutdownScript, getShutdownTimeout, getStartupTimeout, isRunning, isStarting, setPostStartupScript, setPreShutdownScript, setStartupTimeout, start, startAsynchronously, startInParallel, stop, stopAsynchronously, stopInParallel, waitForStarted, waitForStopped`

Methods inherited from class com.endeca.soleng.eac.toolkit.component.Component
`archiveLogDir, cleanDir, constructArchiveLogDir, constructCleanDir, getCustomDirectories, getDirProperties, getHost, getHostId, getLongPropertyValueOrDefault, getMaxMissedStatusChecksAllowed, getMaxWaitTimeSeconds, getMinWaitTimeSeconds, getNumLogBackups, getNumMissedStatusChecks, getProperties, getProperty, getSlowPollingIntervalMs, getStandardPollingIntervalMs, getStatus, incrementMissedStatusQueries, initializeEacStub, isActive, isDefined, isDefinitionChanged, isFailed, isHotUpdateDefinitionChange, isSkipTestingForFilesDuringCleanup, removeDefinition, setCustomDirectories, setDefinition, setDefinition, setHost, setHostId, setNumMissedStatusChecks, setProperties, updateDefinition, updateEacDefinition, updateEacDefinition, waitForFinished`

Methods inherited from class com.endeca.soleng.eac.toolkit.base.Provisionable
`getAppDefinitionFromEac, getCachedAppDefinition, getProvisioningPort, invalidateCachedAppDefinition, setCachedAppDefinition`

Methods inherited from class com.endeca.soleng.eac.toolkit.base.EacElement
`getAppName, getDataPrefix, getEacHost, getEacPort, getElementId, getLockManager, getLogDir, getWorkingDir, isSslEnabled, setAppName, setDataPrefix, setEacHost, setEacPort, setElementId, setLockManager, setLogDir, setSslEnabled, setWorkingDir`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DgraphComponent

    public DgraphComponent()

Method Detail

### callDgraphUpdateUrl

    public void callDgraphUpdateUrl()
                             throws com.endeca.soleng.eac.toolkit.exception.AppConfigurationException,
                                    com.endeca.soleng.eac.toolkit.exception.EacCommunicationException,
                                    com.endeca.soleng.eac.toolkit.exception.EacComponentControlException,
                                    java.lang.InterruptedException

  Shells out to call curl on the dgraph's admin?op=update URL to trigger a partial update.

  Throws:
    `com.endeca.soleng.eac.toolkit.exception.AppConfigurationException`
    `com.endeca.soleng.eac.toolkit.exception.EacCommunicationException`
    `com.endeca.soleng.eac.toolkit.exception.EacComponentControlException`
    `java.lang.InterruptedException`

### constructShellCallDgraphUpdateUrl

    public com.endeca.soleng.eac.toolkit.utility.curl.DgraphUpdateUtility constructShellCallDgraphUpdateUrl()
                                                                                                     throws com.endeca.soleng.eac.toolkit.exception.AppConfigurationException

  Constructs a shell utility to call curl on the dgraph's admin?op=update URL to trigger a partial update.

  Throws:
    `com.endeca.soleng.eac.toolkit.exception.AppConfigurationException`
    `com.endeca.soleng.eac.toolkit.exception.EacCommunicationException`
    `com.endeca.soleng.eac.toolkit.exception.EacComponentControlException`
    `java.lang.InterruptedException`

### callDgraphConfigUpdateUrl

    public void callDgraphConfigUpdateUrl()
                                   throws com.endeca.soleng.eac.toolkit.exception.AppConfigurationException,
                                          com.endeca.soleng.eac.toolkit.exception.EacCommunicationException,
                                          com.endeca.soleng.eac.toolkit.exception.EacComponentControlException,
                                          java.lang.InterruptedException

  Shells out to call curl on the dgraph's config?op=update URL to trigger a configuration update. This method will then call dgraph's admin?op=flush URL to flush the dgraph's cache so that new config is properly picked up.

  Throws:
    `com.endeca.soleng.eac.toolkit.exception.AppConfigurationException`
    `com.endeca.soleng.eac.toolkit.exception.EacCommunicationException`
    `com.endeca.soleng.eac.toolkit.exception.EacComponentControlException`
    `java.lang.InterruptedException`

### constructShellCallDgraphConfigUpdateUrl

    public com.endeca.soleng.eac.toolkit.utility.curl.DgraphConfigUpdateUtility constructShellCallDgraphConfigUpdateUrl()
                                                                                                                 throws com.endeca.soleng.eac.toolkit.exception.AppConfigurationException

  Throws:
    `com.endeca.soleng.eac.toolkit.exception.AppConfigurationException`

### constructShellCallDgraphFlushCacheUrl

    public com.endeca.soleng.eac.toolkit.utility.curl.DgraphFlushCacheUtility constructShellCallDgraphFlushCacheUrl()
                                                                                                             throws com.endeca.soleng.eac.toolkit.exception.AppConfigurationException

  Throws:
    `com.endeca.soleng.eac.toolkit.exception.AppConfigurationException`

### callDgraphReloadServicesUrl

    public void callDgraphReloadServicesUrl()
                                     throws com.endeca.soleng.eac.toolkit.exception.AppConfigurationException,
                                            com.endeca.soleng.eac.toolkit.exception.EacCommunicationException,
                                            com.endeca.soleng.eac.toolkit.exception.EacComponentControlException,
                                            java.lang.InterruptedException

  Shells out to call curl on the dgraph's admin?op=reload-services URL to trigger reloading of XQuery modules.

  Throws:
    `com.endeca.soleng.eac.toolkit.exception.AppConfigurationException`
    `com.endeca.soleng.eac.toolkit.exception.EacCommunicationException`
    `com.endeca.soleng.eac.toolkit.exception.EacComponentControlException`
    `java.lang.InterruptedException`

### constructShellCallDgraphReloadServicesUrl

    public com.endeca.soleng.eac.toolkit.utility.curl.DgraphReloadServicesUtility constructShellCallDgraphReloadServicesUrl()
                                                                                                                     throws com.endeca.soleng.eac.toolkit.exception.AppConfigurationException

  Constructs a shell utility to call curl on the dgraph's admin?op=reload-services URL to trigger reloading of XQuery modules.

  Throws:
    `com.endeca.soleng.eac.toolkit.exception.AppConfigurationException`
    `com.endeca.soleng.eac.toolkit.exception.EacCommunicationException`
    `com.endeca.soleng.eac.toolkit.exception.EacComponentControlException`
    `java.lang.InterruptedException`

### cleanDirs

    public void cleanDirs()
                   throws com.endeca.soleng.eac.toolkit.exception.AppConfigurationException,
                          com.endeca.soleng.eac.toolkit.exception.EacCommunicationException,
                          com.endeca.soleng.eac.toolkit.exception.EacComponentControlException,
                          java.lang.InterruptedException

  Throws:
    `com.endeca.soleng.eac.toolkit.exception.AppConfigurationException`
    `com.endeca.soleng.eac.toolkit.exception.EacCommunicationException`
    `com.endeca.soleng.eac.toolkit.exception.EacComponentControlException`
    `java.lang.InterruptedException`

### cleanLocalIndexDir

    public void cleanLocalIndexDir()
                            throws com.endeca.soleng.eac.toolkit.exception.AppConfigurationException,
                                   com.endeca.soleng.eac.toolkit.exception.EacCommunicationException,
                                   com.endeca.soleng.eac.toolkit.exception.EacComponentControlException,
                                   java.lang.InterruptedException

  Throws:
    `com.endeca.soleng.eac.toolkit.exception.AppConfigurationException`
    `com.endeca.soleng.eac.toolkit.exception.EacCommunicationException`
    `com.endeca.soleng.eac.toolkit.exception.EacComponentControlException`
    `java.lang.InterruptedException`

### cleanLocalPartialsDir

    public void cleanLocalPartialsDir()
                               throws com.endeca.soleng.eac.toolkit.exception.AppConfigurationException,
                                      com.endeca.soleng.eac.toolkit.exception.EacCommunicationException,
                                      com.endeca.soleng.eac.toolkit.exception.EacComponentControlException,
                                      java.lang.InterruptedException

  Throws:
    `com.endeca.soleng.eac.toolkit.exception.AppConfigurationException`
    `com.endeca.soleng.eac.toolkit.exception.EacCommunicationException`
    `com.endeca.soleng.eac.toolkit.exception.EacComponentControlException`
    `java.lang.InterruptedException`

### cleanLocalDgraphConfigDir

    public void cleanLocalDgraphConfigDir()
                                   throws com.endeca.soleng.eac.toolkit.exception.AppConfigurationException,
                                          com.endeca.soleng.eac.toolkit.exception.EacCommunicationException,
                                          com.endeca.soleng.eac.toolkit.exception.EacComponentControlException,
                                          java.lang.InterruptedException

  Throws:
    `com.endeca.soleng.eac.toolkit.exception.AppConfigurationException`
    `com.endeca.soleng.eac.toolkit.exception.EacCommunicationException`
    `com.endeca.soleng.eac.toolkit.exception.EacComponentControlException`
    `java.lang.InterruptedException`

### cleanLocalXQueryDir

    public void cleanLocalXQueryDir()
                             throws com.endeca.soleng.eac.toolkit.exception.AppConfigurationException,
                                    com.endeca.soleng.eac.toolkit.exception.EacCommunicationException,
                                    com.endeca.soleng.eac.toolkit.exception.EacComponentControlException,
                                    java.lang.InterruptedException

  Throws:
    `com.endeca.soleng.eac.toolkit.exception.AppConfigurationException`
    `com.endeca.soleng.eac.toolkit.exception.EacCommunicationException`
    `com.endeca.soleng.eac.toolkit.exception.EacComponentControlException`
    `java.lang.InterruptedException`

### copyIndexToDgraphInput

    public void copyIndexToDgraphInput()
                                throws com.endeca.soleng.eac.toolkit.exception.EacCommunicationException,
                                       com.endeca.soleng.eac.toolkit.exception.EacComponentControlException,
                                       java.lang.InterruptedException,
                                       com.endeca.soleng.eac.toolkit.exception.AppConfigurationException

  Throws:
    `com.endeca.soleng.eac.toolkit.exception.EacCommunicationException`
    `com.endeca.soleng.eac.toolkit.exception.EacComponentControlException`
    `java.lang.InterruptedException`
    `com.endeca.soleng.eac.toolkit.exception.AppConfigurationException`

### applyIndex

    public void applyIndex()
                    throws com.endeca.soleng.eac.toolkit.exception.EacCommunicationException,
                           com.endeca.soleng.eac.toolkit.exception.EacComponentControlException,
                           java.lang.InterruptedException,
                           com.endeca.soleng.eac.toolkit.exception.AppConfigurationException

  Throws:
    `com.endeca.soleng.eac.toolkit.exception.EacCommunicationException`
    `com.endeca.soleng.eac.toolkit.exception.EacComponentControlException`
    `java.lang.InterruptedException`
    `com.endeca.soleng.eac.toolkit.exception.AppConfigurationException`

### applyPartialUpdates

    public void applyPartialUpdates()
                             throws com.endeca.soleng.eac.toolkit.exception.AppConfigurationException,
                                    com.endeca.soleng.eac.toolkit.exception.EacCommunicationException,
                                    com.endeca.soleng.eac.toolkit.exception.EacComponentControlException,
                                    java.lang.InterruptedException

  Throws:
    `com.endeca.soleng.eac.toolkit.exception.AppConfigurationException`
    `com.endeca.soleng.eac.toolkit.exception.EacCommunicationException`
    `com.endeca.soleng.eac.toolkit.exception.EacComponentControlException`
    `java.lang.InterruptedException`

### applyConfigUpdate

    public void applyConfigUpdate()
                           throws com.endeca.soleng.eac.toolkit.exception.AppConfigurationException,
                                  com.endeca.soleng.eac.toolkit.exception.EacCommunicationException,
                                  com.endeca.soleng.eac.toolkit.exception.EacComponentControlException,
                                  java.lang.InterruptedException

  Throws:
    `com.endeca.soleng.eac.toolkit.exception.AppConfigurationException`
    `com.endeca.soleng.eac.toolkit.exception.EacCommunicationException`
    `com.endeca.soleng.eac.toolkit.exception.EacComponentControlException`
    `java.lang.InterruptedException`

### reloadXqueryModules

    public void reloadXqueryModules()
                             throws com.endeca.soleng.eac.toolkit.exception.AppConfigurationException,
                                    com.endeca.soleng.eac.toolkit.exception.EacCommunicationException,
                                    com.endeca.soleng.eac.toolkit.exception.EacComponentControlException,
                                    java.lang.InterruptedException

  Throws:
    `com.endeca.soleng.eac.toolkit.exception.AppConfigurationException`
    `com.endeca.soleng.eac.toolkit.exception.EacCommunicationException`
    `com.endeca.soleng.eac.toolkit.exception.EacComponentControlException`
    `java.lang.InterruptedException`

### copyIndexToNewDgraphInputDir

    public void copyIndexToNewDgraphInputDir()
                                      throws com.endeca.soleng.eac.toolkit.exception.AppConfigurationException,
                                             com.endeca.soleng.eac.toolkit.exception.EacCommunicationException,
                                             com.endeca.soleng.eac.toolkit.exception.EacComponentControlException,
                                             java.lang.InterruptedException

  Creates a temporary new index directory and fetches a copy of the index to the new directory.

  Throws:
    `com.endeca.soleng.eac.toolkit.exception.AppConfigurationException`
    `java.lang.InterruptedException`
    `com.endeca.soleng.eac.toolkit.exception.EacComponentControlException`
    `com.endeca.soleng.eac.toolkit.exception.EacCommunicationException`

### constructCreateTempNewDgraphInputDir

    public com.endeca.soleng.eac.toolkit.utility.perl.CreateDirUtility constructCreateTempNewDgraphInputDir()
                                                                                                     throws com.endeca.soleng.eac.toolkit.exception.AppConfigurationException

  Constructs a utility for making the dgraph's temporary dgraph input directory.

  Returns:
    CreateDirUtility for creating temp dgraph input directory.
  Throws:
    `com.endeca.soleng.eac.toolkit.exception.AppConfigurationException`

### constructCopyIndexToNewDgraphInputDir

    public com.endeca.soleng.eac.toolkit.utility.CopyUtility constructCopyIndexToNewDgraphInputDir()
                                                                                            throws com.endeca.soleng.eac.toolkit.exception.AppConfigurationException

  Constructs a utility for copying the dgraph's new index into its temporary dgraph input directory.

  Returns:
    CopyUtility for copying the new index into the temp dgraph input directory.
  Throws:
    `com.endeca.soleng.eac.toolkit.exception.AppConfigurationException`

### copyCumulativePartialsToDgraphInput

    public void copyCumulativePartialsToDgraphInput()
                                             throws com.endeca.soleng.eac.toolkit.exception.AppConfigurationException,
                                                    com.endeca.soleng.eac.toolkit.exception.EacCommunicationException,
                                                    com.endeca.soleng.eac.toolkit.exception.EacComponentControlException,
                                                    java.lang.InterruptedException

  Copies cumulative partials to dgraph's update dir.

  Throws:
    `com.endeca.soleng.eac.toolkit.exception.AppConfigurationException`
    `java.lang.InterruptedException`
    `com.endeca.soleng.eac.toolkit.exception.EacComponentControlException`
    `com.endeca.soleng.eac.toolkit.exception.EacCommunicationException`

### constructCopyCumulativePartialsToDgraphInput

    public com.endeca.soleng.eac.toolkit.utility.CopyUtility constructCopyCumulativePartialsToDgraphInput()
                                                                                                   throws com.endeca.soleng.eac.toolkit.exception.AppConfigurationException

  Throws:
    `com.endeca.soleng.eac.toolkit.exception.AppConfigurationException`

### copyDgraphConfigToDgraphInput

    public void copyDgraphConfigToDgraphInput()
                                       throws com.endeca.soleng.eac.toolkit.exception.AppConfigurationException,
                                              com.endeca.soleng.eac.toolkit.exception.EacCommunicationException,
                                              com.endeca.soleng.eac.toolkit.exception.EacComponentControlException,
                                              java.lang.InterruptedException

  Copies dgraph config to dgraph's input dir.

  Throws:
    `com.endeca.soleng.eac.toolkit.exception.AppConfigurationException`
    `java.lang.InterruptedException`
    `com.endeca.soleng.eac.toolkit.exception.EacComponentControlException`
    `com.endeca.soleng.eac.toolkit.exception.EacCommunicationException`

### constructCopyDgraphConfigToDgraphInput

    public com.endeca.soleng.eac.toolkit.utility.CopyUtility constructCopyDgraphConfigToDgraphInput()
                                                                                             throws com.endeca.soleng.eac.toolkit.exception.AppConfigurationException

  Throws:
    `com.endeca.soleng.eac.toolkit.exception.AppConfigurationException`

### swapInNewIndexDir

    public void swapInNewIndexDir()
                           throws com.endeca.soleng.eac.toolkit.exception.AppConfigurationException,
                                  com.endeca.soleng.eac.toolkit.exception.EacCommunicationException,
                                  com.endeca.soleng.eac.toolkit.exception.EacComponentControlException

  Swaps in the temporary new index directory, renaming the current input directory to a temporary old directory and renaming the new directory to the current input directory.

  Throws:
    `com.endeca.soleng.eac.toolkit.exception.AppConfigurationException`
    `com.endeca.soleng.eac.toolkit.exception.EacComponentControlException`
    `com.endeca.soleng.eac.toolkit.exception.EacCommunicationException`

### constructMoveCurrentDgraphInputToOld

    public com.endeca.soleng.eac.toolkit.utility.perl.LocalMoveUtility constructMoveCurrentDgraphInputToOld()
                                                                                                     throws com.endeca.soleng.eac.toolkit.exception.AppConfigurationException

  Constructs utility for moving dgraph input (current index) to temp old index directory.

  Returns:
    LocalMoveUtility for moving dgraph input to temp old index dir.
  Throws:
    `com.endeca.soleng.eac.toolkit.exception.AppConfigurationException`

### constructMoveNewDgraphInputToCurrent

    public com.endeca.soleng.eac.toolkit.utility.perl.LocalMoveUtility constructMoveNewDgraphInputToCurrent()
                                                                                                     throws com.endeca.soleng.eac.toolkit.exception.AppConfigurationException

  Constructs utility for moving temp new index directory to dgraph input (current index).

  Returns:
    LocalMoveUtility for moving temp new index dir to graph input.
  Throws:
    `com.endeca.soleng.eac.toolkit.exception.AppConfigurationException`

### removeOldIndexDir

    public void removeOldIndexDir()
                           throws com.endeca.soleng.eac.toolkit.exception.AppConfigurationException,
                                  com.endeca.soleng.eac.toolkit.exception.EacCommunicationException,
                                  com.endeca.soleng.eac.toolkit.exception.EacComponentControlException,
                                  java.lang.InterruptedException

  Removes the temporary old index directory.

  Throws:
    `com.endeca.soleng.eac.toolkit.exception.AppConfigurationException`
    `java.lang.InterruptedException`
    `com.endeca.soleng.eac.toolkit.exception.EacComponentControlException`
    `com.endeca.soleng.eac.toolkit.exception.EacCommunicationException`

### constructRemoveTempOldIndexDir

    public com.endeca.soleng.eac.toolkit.utility.perl.RemoveDirUtility constructRemoveTempOldIndexDir()
                                                                                               throws com.endeca.soleng.eac.toolkit.exception.AppConfigurationException,
                                                                                                      com.endeca.soleng.eac.toolkit.exception.EacCommunicationException

  Construct utility to remove the temp old index directory, if it exists.

  Returns:
    RemoveDirUtility to remove temp old index directory, or null if the directory doesn't exist.
  Throws:
    `com.endeca.soleng.eac.toolkit.exception.AppConfigurationException`
    `com.endeca.soleng.eac.toolkit.exception.EacCommunicationException`

### removeNewIndexDir

    public void removeNewIndexDir()
                           throws com.endeca.soleng.eac.toolkit.exception.AppConfigurationException,
                                  com.endeca.soleng.eac.toolkit.exception.EacCommunicationException,
                                  com.endeca.soleng.eac.toolkit.exception.EacComponentControlException,
                                  java.lang.InterruptedException

  Removes the temporary new index directory.

  Throws:
    `com.endeca.soleng.eac.toolkit.exception.AppConfigurationException`
    `java.lang.InterruptedException`
    `com.endeca.soleng.eac.toolkit.exception.EacComponentControlException`
    `com.endeca.soleng.eac.toolkit.exception.EacCommunicationException`

### constructRemoveTempNewIndexDir

    public com.endeca.soleng.eac.toolkit.utility.perl.RemoveDirUtility constructRemoveTempNewIndexDir()
                                                                                               throws com.endeca.soleng.eac.toolkit.exception.AppConfigurationException,
                                                                                                      com.endeca.soleng.eac.toolkit.exception.EacCommunicationException

  Construct utility to remove the temp new index directory, if it exists.

  Returns:
    RemoveDirUtility to remove temp new index directory, or null if the directory doesn't exist.
  Throws:
    `com.endeca.soleng.eac.toolkit.exception.AppConfigurationException`
    `com.endeca.soleng.eac.toolkit.exception.EacCommunicationException`

### getTempNewIndexDir

    protected java.lang.String getTempNewIndexDir()

  Retrieves the absolute path of the temporary new index directory to use when swapping in the new index.

  Returns:
    Returns the absolute path of the temp new index directory.

### getTempOldIndexDir

    protected java.lang.String getTempOldIndexDir()

  Retrieves the absolute path of the temporary old index directory to use when swapping in the new index.

  Returns:
    Returns the absolute path of the temp old index directory.

### buildEacStub

    public com.endeca.eac.client.ComponentType buildEacStub()

  Overrides:
    `buildEacStub` in class `com.endeca.soleng.eac.toolkit.component.Component`

### initializeEacStub

    protected void initializeEacStub(com.endeca.eac.client.DgraphComponentType stub)

### getRestartGroupPropName

    public static java.lang.String getRestartGroupPropName()

### getUpdateGroupPropName

    public static java.lang.String getUpdateGroupPropName()

### getRestartGroup

    public java.lang.String getRestartGroup()

### getUpdateGroup

    public java.lang.String getUpdateGroup()

### getSrcIndexDir

    public java.lang.String getSrcIndexDir()

### getSrcIndexHostId

    public java.lang.String getSrcIndexHostId()

### getLocalIndexDir

    public java.lang.String getLocalIndexDir()

### getSrcPartialsDir

    public java.lang.String getSrcPartialsDir()

### getSrcPartialsHostId

    public java.lang.String getSrcPartialsHostId()

### getSrcCumulativePartialsDir

    public java.lang.String getSrcCumulativePartialsDir()

### getSrcCumulativePartialsHostId

    public java.lang.String getSrcCumulativePartialsHostId()

### getLocalCumulativePartialsDir

    public java.lang.String getLocalCumulativePartialsDir()

### getSrcDgraphConfigDir

    public java.lang.String getSrcDgraphConfigDir()

### getSrcDgraphConfigHostId

    public java.lang.String getSrcDgraphConfigHostId()

### getLocalDgraphConfigDir

    public java.lang.String getLocalDgraphConfigDir()

### getSrcXQueryDir

    public java.lang.String getSrcXQueryDir()

### getSrcXQueryHostId

    public java.lang.String getSrcXQueryHostId()

### getLocalXQueryDir

    public java.lang.String getLocalXQueryDir()

### getOfflineUpdate

    public boolean getOfflineUpdate()

### getNumCacheWarmupSeconds

    public int getNumCacheWarmupSeconds()

### getAppConfigDir

    public java.lang.String getAppConfigDir()

### setAppConfigDir

    public void setAppConfigDir(java.lang.String appConfigDir)

### getArgs

    public java.util.List<java.lang.String> getArgs()

### setArgs

    public void setArgs(java.util.List<java.lang.String> args)

### getInputDir

    public java.lang.String getInputDir()

### setInputDir

    public void setInputDir(java.lang.String inputDir)

### getPort

    public int getPort()

### setPort

    public void setPort(int port)

### getSpellDir

    public java.lang.String getSpellDir()

### setSpellDir

    public void setSpellDir(java.lang.String spellDir)

### getTempDir

    public java.lang.String getTempDir()

### setTempDir

    public void setTempDir(java.lang.String tempDir)

### getUpdateDir

    public java.lang.String getUpdateDir()

### setUpdateDir

    public void setUpdateDir(java.lang.String updateDir)

### getCaFile

    public java.lang.String getCaFile()

### setCaFile

    public void setCaFile(java.lang.String caFile)

### getCertFile

    public java.lang.String getCertFile()

### setCertFile

    public void setCertFile(java.lang.String certFile)

### getCipher

    public java.lang.String getCipher()

### setCipher

    public void setCipher(java.lang.String cipher)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| EAC Components 3.2.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006, 2012, Oracle and/or its affiliates. All rights reserved.

    @VERSION
    PRODUCT: EAC Components (eacComponents)
    VERSION: 3.2.2
    BUILD:   NONEDEV
    ARCH_OS: n/a
    DATE:    2012-02-28T13:13:23-0500